<div class="top-navbar">
  <div *ngIf="addedPrimaryBackground" id="placeholder-fixed-navbar"></div>
  <div *ngIf="navbarState$ | async as navbarState">
    <!--Navbar-->
    <mdb-navbar
      SideClass="navbar navbar-expand-lg navbar-dark scrolling-navbar fixed-top navbar-font"
      [containerInside]="false">
      <!-- Navbar brand -->
      <mdb-navbar-brand>
        <a class="navbar-brand" routerLink="">
          Will there be rain</a>
      </mdb-navbar-brand>

      <!-- Collapsible content -->
      <links>
        <!-- Links -->
        <ul class="navbar-nav ml-auto">
          <li
            class="nav-item"
            routerLinkActive="active"
            [routerLinkActiveOptions]="{ exact: true }">
            <a routerLink="" class="nav-link waves-light" mdbWavesEffect>
              <mdb-icon fas icon="home"></mdb-icon>
              Home
            </a>
          </li>
          <li class="nav-item" routerLinkActive="active">
            <a
              routerLink="tour-dashboard"
              class="nav-link waves-light"
              mdbWavesEffect
            >
              <mdb-icon fas icon="tachometer-alt"></mdb-icon>
              Tour Dashboard
            </a>
          </li>

          <!-- Dropdown -->
          <li class="nav-item dropdown" dropdown>
            <a
              dropdownToggle
              mdbWavesEffect
              type="button"
              class="nav-link dropdown-toggle waves-light"
              mdbWavesEffect
            >
              <mdb-icon fas icon="user"></mdb-icon>
              Account<span class="caret"></span
            ></a>
            <div
              *dropdownMenu
              class="dropdown-menu dropdown-menu-right dropdown dropdown-primary"
              role="menu"
            >
              <div *ngIf="navbarState.isLoggedIn">
                <a class="dropdown-item waves-light" mdbWavesEffect href="#"
                >My tours</a
                >
                <a class="dropdown-item waves-light" mdbWavesEffect href="#"
                >My account</a
                >
                <div class="divider dropdown-divider"></div>
              </div>
              <div *ngIf="navbarState.isLoggedIn">
                <a
                  class="dropdown-item waves-light"
                  mdbWavesEffect
                  routerLink=""
                  (click)="onLogOut()"
                >Log out</a
                >
              </div>
              <div *ngIf="!navbarState.isLoggedIn">
                <a
                  class="dropdown-item waves-light"
                  mdbWavesEffect
                  routerLink="/auth/login"
                >Log in</a
                >
                <a
                  class="dropdown-item waves-light"
                  mdbWavesEffect
                  routerLink="/auth/sign_up"
                >Register</a
                >
              </div>
            </div>
          </li>
        </ul>
        <!-- Links -->
      </links>
      <!-- Collapsible content -->
    </mdb-navbar>
    <!--/.Navbar-->
  </div>
</div>
